<!doctype html>
<html lang="en">

<head>
    <title>Title</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>

<body>
    <div class="container">
        <h3 class="text-center mb-3 mt-3">Danh sách học sinh</h3>
        <table id="student-table" class="table table-bordered table-striped">
            <thead>
                <tr>
                    <th>Mã HS</th>
                    <th>Tên HS</th>
                    <th>Tuổi</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>13528</td>
                    <td>John</td>
                    <td>23</td>
                    <td>...</td>
                </tr>
                <tr>
                    <td>13528</td>
                    <td>John</td>
                    <td>23</td>
                    <td>...</td>
                </tr>
                <tr>
                    <td>13528</td>
                    <td>John</td>
                    <td>23</td>
                    <td>...</td>
                </tr>
                <tr>
                    <td>13528</td>
                    <td>John</td>
                    <td>23</td>
                    <td>...</td>
                </tr>
            </tbody>
        </table>

    </div>
</body>
<script>
    "use strict"
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
        onAddRowTable();
        onAddColumnTable();
        onBtnDetail();
        onAddRowColumnTable();

    })
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    // 1 Thao tác với html cả hàng
    function onAddRowTable() {
        var vNewRow = $("<tr>").appendTo($("#student-table"))
        vNewRow.html("<td>12345</td><td>Lan</td><td>40</td><td>...</td>")
        var vNewRow = $("<tr>").appendTo($("#student-table"))
        vNewRow.html("<td>12345</td><td>Lan</td><td>40</td><td><button class='btn btn-success'>Chi tiết</button></td>")

    }
    // 2 thao tác với html vtheo từng Ô 
    function onAddColumnTable() {
        var vNewRow = $("<tr>").appendTo($("#student-table"))
        vNewRow.html("<td>10</td>")
        $("<td>").html("Nguyễn Nam").appendTo(vNewRow);
        $("<td>").html("29").appendTo(vNewRow);
        $("<td>").html("<button class='btn btn-warning'>Chi tiết</button>").appendTo(vNewRow);

    }
    // 3 Tạo hàng mới và xử lý cho nút
    function onBtnDetail() {

        var vNewRow = $("<tr>").appendTo($("#student-table"))
        vNewRow.html("<td>12345</td><td>Lan</td><td>40</td><td><button class='btn btn-info btn-detail'>Chi tiết</button></td>")
        $("#student-table").on("click", ".btn-detail", function () {
            console.log("hello");
        })
    }
    // tạo hàm mới và gán xử lý bằng hàm có sẵn
    function onAddRowColumnTable() {
        var vNewRow = $("<tr>").appendTo($("#student-table"))
        vNewRow.html("<td>10</td>")
        var vNwewBtn = $("<button>").html("chi tiết").addClass("btn btn-danger btn-student").data("name", "Linh").data("age", 20);
        var vnewTd = $("<td>").appendTo(vNewRow);
        vNwewBtn.appendTo(vnewTd);
        $("#student-table").on("click", ".btn-student", function () {
            console.log(vNewRow.data());
        })

    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/


</script>


</html>